'use client';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import ReactApexChart from 'react-apexcharts';
import React, { useEffect, useState } from 'react';

export default function() {
    const [isMounted, setIsMounted] = useState(false);
    useEffect(() => {
        setIsMounted(true);
    }, []);

    // pieChartOptions
    const pieChart: any = {
        series: [44, 55, 13, 43, 22],
        options: {
            chart: {
                height: 300,
                type: 'pie',
                zoom: {
                    enabled: false,
                },
                toolbar: {
                    show: false,
                },
            },
            labels: ['منابع انسانی', 'فروش', 'بازرگانی', 'مالی', 'خدمات'],
            colors: ['#4361ee', '#805dca', '#00ab55', '#e7515a', '#e2a03f'],
            responsive: [
                {
                    breakpoint: 480,
                    options: {
                        chart: {
                            width: 200,
                        },
                    },
                },
            ],
            stroke: {
                show: false,
            },
            legend: {
                position: 'bottom',
            },
        },
    };
    return (
        <PanelCodeHighlight
            title="پای"

        >
            <div className="mb-5">
                {isMounted && <ReactApexChart series={pieChart.series} options={pieChart.options} className="rounded-lg bg-white dark:bg-black" type="pie" height={300} width={'100%'} />}
            </div>
        </PanelCodeHighlight>
    );
}
